#include <bits/stdc++.h>

using namespace std;

int main(){
	int i, L, N, H[1000];
	
	cin >> N >> L;
	for(i = 0; i < N; i++){
		cin >> H[i];
	}
	i = 0;
	while(i < N && H[i] > L)i++;
	if(i == N){
		cout << -1; 
		return 0;
	}
	cout << i+1;
	
	return 0;
}